Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdInfo

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdInfo

Direct Known Subclasses:
  `cmdInfo.DailyInfoModel`

    public class cmdInfo
    extends DatecsFiscalDevice

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdInfo.CurrentReceiptInfo` | Data class
  `static class` | `cmdInfo.DailyInfoModel` | Data class Additional daily information
  `static class` | `cmdInfo.DepartmentData` | Data class
  `static class` | `cmdInfo.FiscalPeriodInfo` | Data class INFORMATION ON A FISCAL RECORD OR FISCAL PERIOD
  `static class` | `cmdInfo.OperatorInfoModel` | Data class * Receipts- Number of fiscal receipts issued by the operator.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdInfo()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAdditionalPayNamesCount()` |
  `java.lang.String` | `GetAPN​(int index)` |
  `java.lang.String` | `GetAPNPass​(int index)` |
  `java.lang.String` | `GetAPNUser​(int index)` |
  `cmdInfo.CurrentReceiptInfo` | `GetCurrentReceipt()` |
  `cmdInfo.DailyInfoModel` | `GetDailyAccumulatedVATByTaxGroup()` | Information on the sums for the day by TAX group Accumulated VAT
  `cmdInfo.DailyInfoModel` | `GetDailyCashCashInOut()` |
  `cmdInfo.DailyInfoModel` | `GetDailyNumAndSumsOfDiscountsSurcharges()` |
  `cmdInfo.DailyInfoModel` | `GetDailyNumAndSumsOfSells()` | Additional daily information
  `cmdInfo.DailyInfoModel` | `GetDailyNumAndSumsOfVoided()` |
  `cmdInfo.DailyInfoModel` | `GetDailyPayments()` | PAYMENT INFORMATION BY TYPE OF THE DAY
  `cmdInfo.DailyInfoModel` | `GetDailyPaymentsEx()` | PAYMENT INFORMATION BY TYPE OF THE DAY Not supported on DP-05, DP-25, DP-35, WP-50, DP-150
  `cmdInfo.DailyInfoModel` | `GetDailyStornoAccumulatedVATByTaxGroup()` | Information on the sums for the day by TAX group Storno Accumulated VAT
  `cmdInfo.DailyInfoModel` | `GetDailyStornoTurnoverByTaxGroup()` |
  `cmdInfo.DailyInfoModel` | `GetDailyTurnoverByTaxGroup()` | Information on the sums for the day by TAX group DailyTurnover
  `java.lang.String` | `GetDateTimeOfFiscalization()` |
  `cmdInfo.DepartmentData` | `GetDepartmentData​(int index)` |
  `java.lang.String` | `GetDeviceSerialNumber()` |
  `java.lang.Boolean` | `GetDHCPenable()` |
  `int` | `GetErrorCode​(boolean clear)` | Return Last code of error
  `cmdInfo.FiscalPeriodInfo` | `GetFiscRecord_ActiveTaxARates​(int nRec)` |
  `cmdInfo.FiscalPeriodInfo` | `GetFiscRecord_AdditionalInfo​(int nRecBegin)` |
  `cmdInfo.FiscalPeriodInfo` | `GetFiscRecord_Adjustments​(int nRecBegin, int nRecEnd)` |
  `cmdInfo.FiscalPeriodInfo` | `GetFiscRecord_AmountsByPaymentType​(int nRecBegin, int nRecEnd)` |
  `cmdInfo.FiscalPeriodInfo` | `GetFiscRecord_NetAmounts​(int nRecBegin, int nRecEnd)` |
  `cmdInfo.FiscalPeriodInfo` | `GetFiscRecord_TotalSales​(int nRecBegin, int nRecEnd)` |
  `cmdInfo.FiscalPeriodInfo` | `GetFiscRecord_VatAssessed​(int nRecBegin, int nRecEnd)` |
  `java.lang.String` | `GetLanMAC()` |
  `java.lang.String` | `GetLastFiscalRecordDate()` |
  `void` | `GetModeConnectionWithPC()` | Check for mode connection with PC
  `cmdInfo.OperatorInfoModel` | `GetOperatorInfo​(int OperatorIndex)` | Information for operator
  `java.lang.String` | `GetOperName​(int operIndex)` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `GetOperNamePasw​(int operIndex)` |
  `java.lang.String` | `GetOperPasw​(int operIndex)` |
  `int` | `GetRemainingZReportEntries()` |
  `void` | `GetSimICCID()` |
  `void` | `GetSimIMSI()` |
  `void` | `GetSimPin()` |
  `void` | `GetSimTelNumber()` |
  `byte[]` | `GetStatus​(java.lang.String option)` |
  `java.lang.String` | `GetTaxNumber()` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdInfo

    public cmdInfo()

- ## Method Details

  - ### GetModeConnectionWithPC

    public void GetModeConnectionWithPC() throws java.lang.Exception
    Check for mode connection with PC
    Throws:
      `java.lang.Exception`

  - ### GetRemainingZReportEntries

    public int GetRemainingZReportEntries() throws java.lang.Exception
    Returns:
      Number of remaining entries for Z-reports in FM
    Throws:
      `java.lang.Exception`

  - ### GetStatus

    public byte[] GetStatus​(java.lang.String option) throws java.lang.Exception
    Parameters:
      `option` - :W Wait first to print everything from the printer print buffer. :X Do not wait for the printer but answer immediately.
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetLastFiscalRecordDate

    public java.lang.String GetLastFiscalRecordDate() throws java.lang.Exception
    Returns:
      Date of last fiscal record in format /DDMMYYHHMMSS/
    Throws:
      `java.lang.Exception`

  - ### GetTaxNumber

    public java.lang.String GetTaxNumber() throws java.lang.Exception
    Returns:
      the programmed TAX number
    Throws:
      `java.lang.Exception`

  - ### GetDeviceSerialNumber

    public java.lang.String GetDeviceSerialNumber() throws java.lang.Exception
    Returns:
      Device Serial Number
    Throws:
      `java.lang.Exception`

  - ### GetErrorCode

    public int GetErrorCode​(boolean clear) throws java.lang.Exception
    Return Last code of error
    Parameters:
      `clear` - - if true clear error
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetCurrentReceipt

    public cmdInfo.CurrentReceiptInfo GetCurrentReceipt() throws java.lang.Exception
    Returns:
      Information for the current receipt
    Throws:
      `java.lang.Exception`

  - ### GetDailyPayments

    public cmdInfo.DailyInfoModel GetDailyPayments() throws java.lang.Exception
    PAYMENT INFORMATION BY TYPE OF THE DAY
    Returns:
      Daily Payments
    Throws:
      `java.lang.Exception`

  - ### GetDailyPaymentsEx

    public cmdInfo.DailyInfoModel GetDailyPaymentsEx() throws java.lang.Exception
    PAYMENT INFORMATION BY TYPE OF THE DAY Not supported on DP-05, DP-25, DP-35, WP-50, DP-150
    Returns:
      Daily Payments all 11 types of payment.
    Throws:
      `java.lang.Exception`

  - ### GetDailyNumAndSumsOfSells

    public cmdInfo.DailyInfoModel GetDailyNumAndSumsOfSells() throws java.lang.Exception
    Additional daily information
    Returns:
      - number and sum of sells;
    Throws:
      `java.lang.Exception`

  - ### GetDailyTurnoverByTaxGroup

    public cmdInfo.DailyInfoModel GetDailyTurnoverByTaxGroup() throws java.lang.Exception
    Information on the sums for the day by TAX group DailyTurnover
    Returns:
      - number and sum of sells;
    Throws:
      `java.lang.Exception`

  - ### GetDailyAccumulatedVATByTaxGroup

    public cmdInfo.DailyInfoModel GetDailyAccumulatedVATByTaxGroup() throws java.lang.Exception
    Information on the sums for the day by TAX group Accumulated VAT
    Returns:
      - number and sum of sells;
    Throws:
      `java.lang.Exception`

  - ### GetDailyStornoTurnoverByTaxGroup

    public cmdInfo.DailyInfoModel GetDailyStornoTurnoverByTaxGroup() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### GetDailyStornoAccumulatedVATByTaxGroup

    public cmdInfo.DailyInfoModel GetDailyStornoAccumulatedVATByTaxGroup() throws java.lang.Exception
    Information on the sums for the day by TAX group Storno Accumulated VAT
    Returns:
      - number and sum of sells;
    Throws:
      `java.lang.Exception`

  - ### GetDateTimeOfFiscalization

    public java.lang.String GetDateTimeOfFiscalization() throws java.lang.Exception
    Returns:
      - fiscalization date, or 'F' if the printer is not fiscalized; DD-MM-YYYY hh:mm:ss
    Throws:
      `java.lang.Exception`

  - ### GetDailyNumAndSumsOfDiscountsSurcharges

    public cmdInfo.DailyInfoModel GetDailyNumAndSumsOfDiscountsSurcharges() throws java.lang.Exception
    Returns:
      - number and sum of discounts and surcharges;
    Throws:
      `java.lang.Exception`

  - ### GetDailyNumAndSumsOfVoided

    public cmdInfo.DailyInfoModel GetDailyNumAndSumsOfVoided() throws java.lang.Exception
    Returns:
      - number and sum of corrections and annulled receipts;
    Throws:
      `java.lang.Exception`

  - ### GetDailyCashCashInOut

    public cmdInfo.DailyInfoModel GetDailyCashCashInOut() throws java.lang.Exception
    Returns:
      - number and sum of cash in and cash out operations;
    Throws:
      `java.lang.Exception`

  - ### GetOperatorInfo

    public cmdInfo.OperatorInfoModel GetOperatorInfo​(int OperatorIndex) throws java.lang.Exception
    Information for operator
    Parameters:
      `OperatorIndex` - Number of operator (1...30);
    Returns:
      - OperatorInfoModel Operator - Operator ID (between 1 and 30). Receipts- Number of fiscal receipts issued by the operator. nTotal- Number of sales total -accumulated total nDiscount- Number of discounts discount - discount total. Surcharge- Number of mark-ups and surcharge- mark-up total. Void- Number of adjustments void - adjustment total. Name- Operator name. Password- Operator password. Returned only if the printer has the service jumper installed.
    Throws:
      `java.lang.Exception`

  - ### GetOperName

    public java.lang.String GetOperName​(int operIndex) throws java.lang.Exception
    Parameters:
      `operIndex` - [1-30]
    Returns:
      Name of operator. Text up to 32 symbols. Number of operator is determined by "operIndex";
    Throws:
      `java.lang.Exception`

  - ### GetOperPasw

    public java.lang.String GetOperPasw​(int operIndex) throws java.lang.Exception
    Parameters:
      `operIndex` -
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetOperNamePasw

    public java.util.Map<java.lang.String,​java.lang.String> GetOperNamePasw​(int operIndex) throws java.lang.Exception
    Parameters:
      `operIndex` -
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetDepartmentData

    public cmdInfo.DepartmentData GetDepartmentData​(int index) throws java.lang.Exception
    Parameters:
      `index` - Number of department is determined by "Index";
    Returns:
      - Data of the departments
    Throws:
      `java.lang.Exception`

  - ### GetAPN

    public java.lang.String GetAPN​(int index) throws java.lang.Exception
    Parameters:
      `index` -
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetAPNUser

    public java.lang.String GetAPNUser​(int index) throws java.lang.Exception
    Parameters:
      `index` -
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetAPNPass

    public java.lang.String GetAPNPass​(int index) throws java.lang.Exception
    Parameters:
      `index` -
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetSimPin

    public void GetSimPin() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### GetSimICCID

    public void GetSimICCID() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### GetSimIMSI

    public void GetSimIMSI() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### GetSimTelNumber

    public void GetSimTelNumber() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### GetLanMAC

    public java.lang.String GetLanMAC() throws java.lang.Exception
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetDHCPenable

    public java.lang.Boolean GetDHCPenable() throws java.lang.Exception
    Returns:
    Throws:
      `java.lang.Exception`

  - ### getAdditionalPayNamesCount

    public int getAdditionalPayNamesCount()

  - ### GetFiscRecord_ActiveTaxARates

    public cmdInfo.FiscalPeriodInfo GetFiscRecord_ActiveTaxARates​(int nRec) throws java.lang.Exception
    Parameters:
      `nRec` - - Fiscal memory record number
    Returns:
      - Information on the active tax rates for the Z-report record
    Throws:
      `java.lang.Exception`

  - ### GetFiscRecord_TotalSales

    public cmdInfo.FiscalPeriodInfo GetFiscRecord_TotalSales​(int nRecBegin, int nRecEnd) throws java.lang.Exception
    Parameters:
      `nRecBegin` - - Fiscal memory record number start
      `nRecEnd` - - Fiscal memory record number end
    Returns:
      - Information on the sales for the specified record or period
    Throws:
      `java.lang.Exception`

  - ### GetFiscRecord_NetAmounts

    public cmdInfo.FiscalPeriodInfo GetFiscRecord_NetAmounts​(int nRecBegin, int nRecEnd) throws java.lang.Exception
    Parameters:
      `nRecBegin` - - Fiscal memory record number start
      `nRecEnd` - - Fiscal memory record number end *
    Returns:
      - Information on the net amounts for the specified record or period
    Throws:
      `java.lang.Exception`

  - ### GetFiscRecord_VatAssessed

    public cmdInfo.FiscalPeriodInfo GetFiscRecord_VatAssessed​(int nRecBegin, int nRecEnd) throws java.lang.Exception
    Parameters:
      `nRecBegin` - - Fiscal memory record number start
      `nRecEnd` - - Fiscal memory record number end
    Returns:
      - Information on the VAT assessed for the specified record or period.
    Throws:
      `java.lang.Exception`

  - ### GetFiscRecord_AdditionalInfo

    public cmdInfo.FiscalPeriodInfo GetFiscRecord_AdditionalInfo​(int nRecBegin) throws java.lang.Exception
    Parameters:
      `nRecBegin` - - Fiscal memory record number start
    Returns:
      - Information on the VAT assessed for the specified record or period.
    Throws:
      `java.lang.Exception`

  - ### GetFiscRecord_Adjustments

    public cmdInfo.FiscalPeriodInfo GetFiscRecord_Adjustments​(int nRecBegin, int nRecEnd) throws java.lang.Exception
    Parameters:
      `nRecBegin` - - Fiscal memory record number start
      `nRecEnd` - - Fiscal memory record number end
    Returns:
      -

      Number of discounts and accumulated discount sum Number of mark-ups and accumulated mark-up sum. Number of adjustments and adjustment total. Number of cancelled receipts and cancelled receipt total.

    Throws:
      `java.lang.Exception`

  - ### GetFiscRecord_AmountsByPaymentType

    public cmdInfo.FiscalPeriodInfo GetFiscRecord_AmountsByPaymentType​(int nRecBegin, int nRecEnd) throws java.lang.Exception
    Parameters:
      `nRecBegin` - - Fiscal memory record number start
      `nRecEnd` - - Fiscal memory record number end
    Returns:
      - Information on the VAT assessed for the specified record or period.
    Throws:
      `java.lang.Exception`